| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
QoreClassHolder Class Reference

allows for temporary storage of a QoreClass pointer More...

`#include <QoreClass.h>`

## Public Member Functions
DLLLOCAL | QoreClassHolder (QoreClass *c)
| creates the object
DLLEXPORT | ~QoreClassHolder ()
| deletes the QoreClass object if still managed
DLLLOCAL | operator QoreClass * () const
| implicit conversion to QoreClass*
DLLLOCAL QoreClass * | release ()
| releases the QoreClass*

## Detailed Description

allows for temporary storage of a QoreClass pointer

Since
  Qore 0.8.13

The documentation for this class was generated from the following file:

- include/qore/QoreClass.h